commit a09fcb90930c3f0d9e6bdf660dd01c451e817e46
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Tue Mar 28 14:12:28 2023 +0200

    tag as 1.4.4

commit 78d00b99b431bd194bf5aa06e0252421d217483e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Mar 27 20:46:56 2023 +0000

    Merge pull request #1456 from ailin-nemui/collector
    
    fix stale special collector use after free
    
    (cherry picked from commit c03057f36a2abd37a1176da2890d89116bab5139)

commit 9948a18fce9a075923c20249194d4e948424b9ff
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 21 08:49:09 2023 +0000

    Merge pull request #1455 from irssi/vague666-typo-fix
    
    Update ignore.in
    
    (cherry picked from commit 6671fec9a91dc61981ea0554525bf1a68be10999)

commit 6d3284f7e9259aec81ccd431ddb1a27212388d58
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 21 07:05:33 2023 +0000

    Merge pull request #1454 from irssi/from-codeberg
    
    Sync
    
    (cherry picked from commit 2b91c45f5d7088861f5355f13b3d9a6ea304c781)

commit 38a80b21eaa98be2bbe3046dfa04f691457a505f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Mar 20 19:31:40 2023 +0000

    Merge pull request #1453 from irssi/vague666-ignore-in-update
    
    Update ignore.in
    
    (cherry picked from commit 706b6fff819b53ee97cc365c453b5f6ce1b461d2)

commit d1319b422bf90e261843ea59c05258ac39974aca
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Mar 20 19:31:56 2023 +0000

    Merge pull request #1452 from irssi/vague666-levels-in-update
    
    Update levels.in
    
    (cherry picked from commit 1c9990acab3e3fb162a3c1ad4936b0f2678ef07d)

commit 75fd59608431cce4b306cbcc059b3cb7b061c3c6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 13 08:51:33 2023 +0000

    Merge pull request #1447 from ailin-nemui/signalsfile-fix
    
    fix signalsfile some more
    
    (cherry picked from commit c1fd4b17f53f7627cacb63f478af627bec1581c9)

commit 82618ce25dc1b616c3307ae3b6a6b7f7e630e605
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 12 13:51:44 2023 +0000

    Merge pull request #1446 from ailin-nemui/signalsfile-fix
    
    fix signals file
    
    (cherry picked from commit 2ac1f01b9486725cf9f7c20595b4912188104e04)

commit 377824ae7fd064ff21d8602ab007de6147b9717c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Feb 2 17:03:53 2023 +0100

    Merge pull request #1442 from lheckemann/master
    
    Support receiving monospace
    
    (cherry picked from commit c06be88d8f107f1890402a266735bc0659dd6021)

commit 2f0a16556950e71cc79a72ee8ce4b966ab8f711e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Jan 21 16:48:36 2023 +0100

    Merge pull request #1439 from irssi/from-codeberg
    
    Sync
    
    (cherry picked from commit de43e9e067be52c7773a25d5016e2ab7da585c78)

commit 0438c7f0b2def0ae5d7e1dd56f980a472fa6e6a8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Dec 25 17:51:32 2022 +0100

    Merge pull request #1438 from qoreQyaS/master
    
    Lang-Fix: Use more general messages
    (cherry picked from commit 162dc256be8f47de2491c0587e28ab21805f348a)

commit af8e40b744a30b80f8f4749d4e3dcfccc39763e6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Dec 18 21:53:34 2022 +0100

    Merge pull request #1434 from irssi/ailin-nemui/statusbar-help
    
    correct statusbar help text
    
    (cherry picked from commit 7445ad1f1538986b5be26af9cd658aecaa7887f6)

commit 473cf8ca3fd57d97f6035c3ddaf848f1b386bc83
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Dec 23 10:34:56 2022 +0100

    Merge pull request #1432 from horgh/horgh/win-logfile
    
    Check window logfile parameter
    
    (cherry picked from commit 6f5026fd494948b03264d18095638dbecdb1a525)

commit f422b9861390240bb2b8e2eac6d9dd8a2016cd4e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Dec 18 12:27:29 2022 +0100

    Merge pull request #1431 from ailin-nemui/missing-news
    
    add missing news reference
    
    (cherry picked from commit f8500320cf0c14556d62c03ebb9e502793b4dd90)

commit 8a8fb7740854097b2b300958f532f7e92853f557
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Dec 18 12:14:22 2022 +0100

    Merge pull request #1429 from ailin-nemui/docs-revamp
    
    remove ported sections from manual and add links
    
    (cherry picked from commit 42f83fc130caa4349646ea967ffafa4de4006024)

commit 8f79457769881f8fe9730b02766e4ad68056398d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Nov 29 20:05:52 2022 +0100

    Merge pull request #1428 from ailin-nemui/flip-level
    
    add (hide)level flip command
    
    (cherry picked from commit 88cc48651dcfe9121ff60464c92b4318a6c1ca31)

commit 1426ae87b1be4f9e4ca490ddb202cbd759b92aa3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Nov 26 15:09:50 2022 +0100

    Merge pull request #1424 from ailin-nemui/lastlog
    
    fix lastlog -window
    
    (cherry picked from commit 6e3745f42386f5d4147803e4af50b163fef3e901)

commit f32701b906816124e2eb00fc38d53ab79bb8ccab
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Dec 18 12:18:13 2022 +0100

    Merge pull request #1421 from j1mmie/patch-1
    
    Add parameter LIST to STATUSBAR documentation
    
    (cherry picked from commit b988b2925bf7310a3d7fefeb9b861866afae0d29)

commit f21df708b0aeea03a33a63cd5680e85eb7083260
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Mon Mar 27 22:59:49 2023 +0200

    up version

commit c99c8b444da5b2a2ff53e86de02e924e3b728993
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Sat Oct 29 12:13:46 2022 +0200

    tag as 1.4.3

commit f9f6341c20d9e12241d357058a469cb82520dcb9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Oct 15 08:52:40 2022 +0200

    Merge pull request #1420 from ailin-nemui/starttls-config
    
    enable saving of -disallow_starttls
    
    (cherry picked from commit afba1480562bba77b127322eb55a3a768a1e98b4)

commit 9a95edc69a4a20e5f215c2f887022ea7beacc1c7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Oct 15 08:52:32 2022 +0200

    Merge pull request #1419 from ailin-nemui/init-irc-funcs
    
    move irc server functions to object creation time
    
    (cherry picked from commit a661e2fb35d4683871a374805daf8a20935f313f)

commit 93a94308bd8fcc871291afb94026640f6e28a08e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Oct 15 08:52:20 2022 +0200

    Merge pull request #1417 from ailin-nemui/loop
    
    do not freeze on alt+left/right
    
    (cherry picked from commit 0c97433c7c41e50744da1c2ceaf19131e96fdf18)

commit 26f9750ad174a2cfd228f5498dd0f35b2e6e6df6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 14 09:24:35 2022 +0200

    Merge pull request #1414 from irssi/vague666-patch-4
    
    Add -nocap to /connect and /server connect syntax
    
    (cherry picked from commit 55913ade1350a4c1087b0238ac863e0bab081fd7)

commit 277923aaac5c6e65d5b9686ee3d9e4968858141a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 13 09:52:30 2022 +0200

    Merge pull request #1413 from irssi/vague666-patch-3
    
    Update /server syntax line
    
    (cherry picked from commit 238d7cfd08d14115762d78b11c567c850133f72a)

commit 23419e586699bf653d1ca81bd3fe45f9b8730344
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 13 09:51:57 2022 +0200

    Merge pull request #1415 from irssi/vague666-patch-5
    
    /server: Add help for -cap/-nocap
    
    (cherry picked from commit f76d41953f94bab519dec99c38d0b7fdb8bca1f4)

commit 2c18da3cc60e6a8320138b7671d5660c3ae708dd
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 13 09:51:43 2022 +0200

    Merge pull request #1411 from irssi/vague666-patch-1
    
    /connect: Add help for -nocap
    
    (cherry picked from commit 38b18bd84da03f127e0ed51154923576bf22ae6f)

commit c01b35b062278258c5431955d1ed39bcf870cda9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Aug 19 10:42:05 2022 +0200

    Merge pull request #1407 from madpilot78/Fix_libnv_detection
    
    Fix libnv detection on recent FreeBSD
    
    (cherry picked from commit f32d0ab51a5569ad908cefa3b033a7fb367240e7)

commit f51bc42429a7a8026a5205dc7f0fa0400564208d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Jun 12 18:11:05 2022 +0200

    Merge pull request #1380 from ailin-nemui/scriptassist
    
    run syncscripts.sh
    
    (cherry picked from commit 68823eb6af68d941e94327170d6f5261568b6899)

commit be5f917f07e6c4d4de643d307048281e87717a67
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jun 30 23:25:35 2022 +0200

    Merge pull request #1393 from ailin-nemui/eval-help
    
    minor rendering fix in eval help
    
    (cherry picked from commit 0bf18beed75e0423c7848908ebc4ba6f39cc96c7)

commit bc805f9bcdbba0814ebf94ff6c91c2666a73dbbe
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Wed Jul 13 20:08:52 2022 +0200

    tag as 1.4.2

commit 476774662add0af498a392bb96d6a797582d774b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jul 13 19:10:50 2022 +0200

    Merge pull request #1398 from ailin-nemui/lastlog-crash
    
    get line texts before printing lastlog
    
    (cherry picked from commit a57cc1c55e7a3e9d76964ccf0697431b9f521dc5)

commit 1b6b92ffff6950ee28c1b7936f53d83988843ed4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jun 13 07:39:29 2022 +0200

    Merge pull request #1388 from ailin-nemui/default-hash-chan
    
    default to hash channels
    
    (cherry picked from commit a5f5ea7d79274fcf547ef81f019b0c38c6863051)

commit 730c3c1a12f782b92d710883f52a106e37f148e4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Jun 12 05:33:41 2022 +0200

    Merge pull request #1377 from ailin-nemui/meson
    
    fix yet another meson regression
    
    (cherry picked from commit 07aa061b6d51a7c246047053e734a2fba8e31a83)

commit c6a7f02042f63d01a38e8d522cff8f5d951afd51
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Jun 12 18:10:50 2022 +0200

    Merge pull request #1383 from ailin-nemui/pc-moduledir
    
    add irssimoduledir to irssi-1.pc
    
    (cherry picked from commit 545d97f8d601e9c1692abba6075bb44a0b4db07c)

commit f17fb682573985656fa26bf10370b9e1d88e3bdf
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Jun 18 12:42:47 2022 +0200

    Merge pull request #1387 from ailin-nemui/textbufferview
    
    Textbufferview
    
    (cherry picked from commit 783dd375339c1c98be36e277d47afdd6918d6160)

commit 3404d822c83546b031d47a99e37ae65b887bec94
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Jun 18 12:43:01 2022 +0200

    Merge pull request #1384 from ailin-nemui/meson-system-includes
    
    use -isystem instead of -I for include directories
    
    (cherry picked from commit 593afc2e40fee9714a44f87f58718f327b68247f)

commit 0e0bc17992251f32ba43990e41c52b36ad344515
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Mon Jun 6 12:08:49 2022 +0200

    tag as 1.4.1

commit 580b05a7f312231315db72ed6f8b4695e4c2ef65
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jun 1 18:38:15 2022 +0200

    Merge pull request #88 from ailin-nemui/arraycopy
    
    fix missing len in g_array_copy
    
    (cherry picked from commit 47b0661e9689d870f6ad499259368a7860880f2f)

commit 7207a26d1eafc708926598b7046687e6d88e5f77
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Tue May 31 10:25:01 2022 +0200

    revert branding

commit a558430a0ad624f0848a3f84772b1e6e4ccccfdd
Merge: 7d673653 612fdb9c
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Tue May 31 10:20:57 2022 +0200

    Merge tag '1.4.0-an' into HEAD

commit 612fdb9c2dd9d420a6e16399afadbbc02b357527
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Sun May 29 20:46:17 2022 +0200

    tag as 1.4.0-an

commit cbb155e73c0b63323befd7eb4a4dfa27d7e8c495
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Sat Feb 19 00:20:00 2022 +0100

    remove install_rpath
    
    reported by dwfreed / Unit193
    
    (cherry picked from commit e692f85f4a388d8bcaec9d3c5e475fc7cb5a6271)

commit 84de64d6dac3e746e2ff528ad75dae4fd48743c0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu May 26 00:20:13 2022 +0200

    Merge pull request #84 from ailin-nemui/ignore-leak
    
    avoid memory leak in ignore cache
    
    (cherry picked from commit af5feb16be3390340434f5c1838684c3bd9eb91a)

commit d6bc4cf5b719ac0956102133ac95ed65b1f0c12c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Mar 11 12:11:18 2022 +0100

    Merge pull request #76 from ailin-nemui/scroll_page_count
    
    fix scroll_page_count settings with .
    
    (cherry picked from commit 84a98d0e0843b33c030798778e6b537a9d6141b2)

commit d193ca1784a1f6ebfe4b023b295c01ea9a18010a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Apr 24 15:40:54 2022 +0200

    Merge pull request #83 from ailin-nemui/shelp
    
    new SHELP default alias
    
    (cherry picked from commit 4cec2d98c5cd5d70f8694759de577da4e230830f)

commit afed542bfbe481dff03c51cd0763366f30107670
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Apr 21 23:02:17 2022 +0200

    Merge pull request #82 from ailin-nemui/progval-help
    
    Format RPL_HELPSTART/RPL_HELPTXT/RPL_ENDOFHELP
    
    (cherry picked from commit b446d06b9dd5e2c4d7d279da52c5e499d463d8e6)

commit 1598c88cfd85ac01ab26d5e9fd9a8391a1c4accb
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Mar 11 12:09:26 2022 +0100

    Merge pull request #77 from ailin-nemui/fix_ignore_help
    
    Clarify the help for /ignore -time
    
    (cherry picked from commit c62505386f19fd1a2310883f32535f36966f2803)

commit 3e9a270562442682b712c980f3ae8b57b1008ff6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 20 16:29:21 2022 +0100

    Merge pull request #72 from ailin-nemui/load-silent-doc
    
    add -silent switch in syntax comment and respect it without args
    
    (cherry picked from commit 06a7dcad991c83e9df92f6765164bcfef6c34108)

commit 8530917397f1f50ff7c785c4f0d62b070a005f68
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Feb 19 23:24:58 2022 +0100

    Merge pull request #70 from ailin-nemui/update-screenshot
    
    update screenshot
    
    (cherry picked from commit 854c88da03a277162c4f8ac98f001cea53640529)

commit aa54da381199b2c7c417c6e151228bf07956e5f0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Feb 19 11:00:34 2022 +0100

    Merge pull request #68 from ailin-nemui/gint64fmt
    
    use gint64 define
    
    (cherry picked from commit cf6bc311723d130a507a8a6c927c479dbf124299)

commit 45b6df790213071ccb129c7f9645a7264c88a74e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Feb 19 10:58:05 2022 +0100

    Merge pull request #67 from ailin-nemui/spelling
    
    spelling fixes
    
    (cherry picked from commit 7ec61c4ec0be3fbbdca30c2587c8464e093d7b9a)

commit 44ad0fce90b913a5e50f54073b26edf321104f47
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 11 14:17:49 2022 +0100

    Merge pull request #60 from ailin-nemui/paste
    
    Add "paste event" signal
    
    (cherry picked from commit 738931762b1c1c2cc442df00b8e9cd5adc027f05)

commit dc15cc3969b2fa84bfc80f5623e46496d98cecd2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 6 14:38:57 2022 +0100

    Merge pull request #61 from ailin-nemui/actlist_separator
    
    Actlist separator
    
    (cherry picked from commit d523ceacf0335c5da151fc51600f3623b0297338)

commit 5997b2654b88c34ffb923005dd0efd184a9178ee
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 6 16:33:20 2022 +0100

    Merge pull request #58 from ailin-nemui/erase-cutbuffer
    
    Add empty_kill_clears_cutbuffer option
    
    (cherry picked from commit 27008bf447f29eec39fae081113f9d4574ce5e0b)

commit baf2a43da2d1bde46f0b34867e2b129a91d32567
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 31 10:47:31 2022 +0100

    Merge pull request #57 from ailin-nemui/lr-skip-visible
    
    Make window left/right skip windows that are already visible in other…
    
    (cherry picked from commit 53187de6a20f772c81cfe568c6696043405a3fd0)

commit 26c4cd8bbf096ecf23a86d3ed24940b716408f87
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Nov 17 11:17:59 2021 +0100

    Merge pull request #50 from ailin-nemui/gliblog
    
    Improve handling of GLib log messages
    
    (cherry picked from commit 0e3f6aa4a25cc8f3d526c86cd985315683028c41)

commit 27046adabeff832175d8f267775d757b98904970
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 6 01:11:41 2022 +0100

    Merge pull request #59 from ailin-nemui/ilog-domain
    
    fix crash when accessing settings during shutdown
    
    (cherry picked from commit cc411a1be009b9c6eac9811abeff10d8bab0efc8)

commit ff0e76bbb9473bd560a5028b07d7b4755387a9c5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 10 22:16:46 2021 +0200

    Merge pull request #45 from ailin-nemui/server-outgoing
    
    simplify duplicate code in outgoing modify
    
    (cherry picked from commit f5d74bd81bbe6cb39588e6d0ad9276ad8f7ac02a)

commit 7d673653a13ed1123665e36270d1a578baefd9e5
Merge: e31d42b3 6d2cfc24
Author: Tom Wesley <tom@tomaw.net>
Date:   Mon Apr 25 18:09:44 2022 +0100

    Merge pull request #1372 from dwfreed/rebrand-1.3.2
    
    Merge Nei's changes

commit 6d2cfc24b7e1a254d5cdb0202a55d58973c9da33
Author: Doug Freed <dwfreed@mtu.edu>
Date:   Sun Apr 24 20:40:01 2022 +0000

    Clean up remaining branding reverts

commit 2f700bebc7dcd89ad893f1b4a288987419daeec9
Author: Doug Freed <dwfreed@mtu.edu>
Date:   Sun Apr 24 20:07:30 2022 +0000

    NEWS: remove 2 lines that would be confusing

commit 0bd7fc459c7c9c6f217537fba59524a3cec93d21
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Mon Feb 21 16:50:10 2022 +0100

    revert branding

commit 2e6375d4ff103681e7af8e012fa541503117c690
Merge: 920e827a b60b0f0f
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Fri Jan 21 13:37:41 2022 +0100

    Merge tag '1.3.2-an' into HEAD

commit b60b0f0ff94acae339cf36b611f03e318362b006
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Jan 14 13:18:41 2022 +0100

    tag as 1.3.2-an

commit 3603d47990480d4899a79f2bae815996975ce068
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 14 11:29:25 2022 +0100

    Merge pull request #56 from ailin-nemui/line-bookmark
    
    fix crash in Perl's $view->set_bookmark
    
    (cherry picked from commit 95e3fea62236b606b9c9e4d0c4231c75589ef71f)

commit c96a8d9fae80384be56e2a87e7d967066919fb90
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Dec 30 23:23:53 2021 +0100

    Merge pull request #54 from ailin-nemui/chantypes
    
    use chantypes instead of # for irc channel defaults
    
    (cherry picked from commit f7fd4d72e488081f180fc1f4cc8bb269e50a9067)

commit 85a6ade7e883b582afb230abd5afa302d0f42c49
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Dec 17 22:42:13 2021 +0100

    tag as 1.3.1-an

commit dbf9fc3dfcc1752003f7e167261b917d5b94aaf2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Dec 17 22:29:15 2021 +0100

    Merge pull request #53 from ailin-nemui/keepops
    
    keep own ops status on /upgrade
    
    (cherry picked from commit a2feef5e735d3bb3d5a4eecb05e813ba6bd2fe95)

commit 6763be847f781c4e8bcaad6ab9973d05566f0a56
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Dec 1 23:34:53 2021 +0100

    Merge pull request #52 from ailin-nemui/help
    
    fix help text wrt SERVER LIST command
    
    (cherry picked from commit 8281b103108820aa104c8e0fe5c33960838d2f99)

commit bb1957bafbc740db0ebaf5b3d084945f636f2c9a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Dec 1 22:51:43 2021 +0100

    Merge pull request #51 from ailin-nemui/help
    
    fix help text wrt SERVER command
    
    (cherry picked from commit d33fd0c5da2287f5496a4a78940490f0c4466428)

commit 920e827ae56b22d5fa2e5f3510c7e20cd7484016
Merge: 82d2cd88 2cdcf861
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Wed Dec 1 13:37:13 2021 +0100

    Merge commit '2cdcf86174b420091372edd295dc81cda8b46d8f' into HEAD

commit 05063da9995f1d7b69f02a36a4f6d861dfbf891e
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Thu Nov 11 10:54:09 2021 +0100

    tag as 1.3.0-pre8

commit eed9b32f9718ab516df66065c983fac742b8693d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Nov 10 14:12:47 2021 +0100

    Merge pull request #49 from ailin-nemui/dccmsgs
    
    fix stuck meta on dcc chat
    
    (cherry picked from commit a54a00c803067bfc669658f64aaac54dfe95c69b)

commit bdadbb183f5ac53ff33c872a022580fc6ccb4e56
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Nov 9 14:48:54 2021 +0100

    Merge pull request #48 from ailin-nemui/news
    
    add news ref
    
    (cherry picked from commit b9f773ba6a8913eff2812da122a62528550b0534)

commit 47f8582e68637b118a713a8115c7c54db3b2afb2
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Mon Oct 11 22:10:47 2021 +0200

    update NEWS

commit 23abfb912368e96c57797ac90298f5b194861a87
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 11 22:08:14 2021 +0200

    Merge pull request #44 from ailin-nemui/lag
    
    fix max_lag disconnect
    
    (cherry picked from commit 6db881d8ef70b261b1f237188b53a1de76c6fadb)

commit 3bb8c619e231ada6ffa99d44f88917389cad00a3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 10 12:45:21 2021 +0200

    Merge pull request #43 from ailin-nemui/server-outgoing
    
    remove newline from "server outgoing modify"
    
    (cherry picked from commit ea961623f575529ab2a94d7d394b399d29729b57)

commit 44298db8143d2da7fba6a641123425f91b97918f
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed Oct 6 15:37:15 2021 +0200

    chghost news

commit 96d99534c349f6843ed65751be5f4e58cbac7349
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed Sep 29 19:11:35 2021 +0200

    update NEWS

commit 5bff40593f4331466e27ac3a4c947654884325be
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 29 18:59:09 2021 +0200

    Merge pull request #41 from ailin-nemui/ports
    
    fix /server modify port argument order
    
    (cherry picked from commit 235c5b03281a3ae5c7849921cebbf7d46d39a4fc)

commit 0ba449d8be26b047eea3b0b7e4ecdcba906f03f8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 22 12:33:10 2021 +0200

    Merge pull request #39 from ailin-nemui/sync
    
    run syncdocs.sh and syncscripts.sh
    
    (cherry picked from commit 85a9dc146d803be344bf3806395ac294d6929c13)

commit 117758fb9046a859ecfacaab7ab1a7a2e35377e6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 22 11:25:32 2021 +0200

    Merge pull request #40 from ailin-nemui/gh-actions
    
    update github actions ubuntu version to 18.04 and meson to <0.60.0
    
    (cherry picked from commit db705278d2f766433d3c28f776241c4997efde70)

commit 0932bbed7b1f51a00cfee231632e67ab9118da75
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 21 22:35:30 2021 +0200

    Merge pull request #37 from ailin-nemui/int-min-reached
    
    fix pedantic error in MSGLEVEL enum
    
    (cherry picked from commit b0fdbb144d5c5723269b2571761b0a073a392454)

commit 8b49cd012dc4af4040eb4ef03939e80072d40a5f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 15 17:56:45 2021 +0200

    Merge pull request #36 from ailin-nemui/missing-hilights
    
    correctly store updated message levels e.g. from /hilight
    
    (cherry picked from commit ad8221835c90969a6ba87807b072ba9f4d63bd48)

commit 0f3e95892de7e7a360336fcc9739e770916a9156
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 8 13:03:14 2021 +0200

    Merge pull request #35 from ailin-nemui/fixes
    
    duplicate issue in NEWS
    
    (cherry picked from commit d3e105a3963cbc693ac316ae884b000902999828)

commit 42f749346b375ccd5e46527a21ff2e7192273f5f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 8 13:03:03 2021 +0200

    Merge pull request #34 from ailin-nemui/no-maxline
    
    remove oragono.io/maxline-2
    
    (cherry picked from commit 7e1401140412361b813accd99aa367658435c12f)

commit 2cdcf86174b420091372edd295dc81cda8b46d8f
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed Sep 1 23:37:11 2021 +0200

    branding

commit 921c40f09baba429c0da549a5f2860fe7ef52a2e
Merge: 69358fbe cb11fd9c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 3 20:26:31 2021 +0200

    Merge pull request #31 from ailin-nemui/package-version
    
    add a PACKAGE_VERSION override for meson

commit 69358fbe7c2db5d2af5f25dbde1a4438f9344ce8
Merge: 3e08ac53 9e128901
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 3 20:26:12 2021 +0200

    Merge pull request #15 from ailin-nemui/server-outgoing
    
    Add a "server outgoing modify" signal to intercept outgoing messages

commit 9e128901104afb61ca29926e4421aadda031f38d
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Aug 13 18:32:49 2021 +0200

    add a "server outgoing modify" signal to intercept outgoing messages

commit 3e08ac538dcc62599cf32339334507768f8f307f
Merge: fe09dccd 37eb6c35
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 3 20:03:58 2021 +0200

    Merge pull request #33 from ailin-nemui/queues
    
    fix queue bug

commit 37eb6c351cd46af6b5827a4f6cd58dbe493067ca
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Sep 3 19:34:11 2021 +0200

    fix queue bug

commit fe09dccdcbedeb6b6a5ac3d79f134f6e3b73ac25
Merge: ce1eed94 63a5b80b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 3 18:00:31 2021 +0200

    Merge pull request #21 from ailin-nemui/sasl-plain-nonull
    
    only enable sasl plain when username and password are set

commit ce1eed94d11bce13ef983e53fa93389959ef7b6b
Merge: 03217a48 2de9c253
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 3 18:00:12 2021 +0200

    Merge pull request #26 from ailin-nemui/queues
    
    send channel sync requests "later" in the command queue

commit cb11fd9cf76a368d8672925d02272c8a24992017
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Sep 3 16:18:21 2021 +0200

    add a PACKAGE_VERSION override for meson

commit 03217a487e33fa5e73ee18edc3c3353f93287156
Merge: 10b5087d 37237f37
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 3 11:41:15 2021 +0200

    Merge pull request #29 from ailin-nemui/hilight-color
    
    actually remember the hilight -color

commit 10b5087deda7279a4ad8a89eb8cdabd3405c0cbe
Merge: 0e8717ac cf903840
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Sep 2 23:46:43 2021 +0200

    Merge pull request #30 from vague666/patch-1
    
    Allow -tls_ca{file,path} '' to unset an argument

commit cf903840233904de85858aa180f1a6b2e339a45d
Author: Jari Matilainen <vague666@users.noreply.github.com>
Date:   Thu Sep 2 23:10:37 2021 +0200

    Allow -tls_ca{file,path} '' to unset an argument

commit 37237f377e639650a4eb92168661fe4d53989400
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Thu Sep 2 22:38:53 2021 +0200

    actually remember the hilight -color

commit 2de9c25376c18776011a42dc9f2e3ff4370bb700
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed Sep 1 23:01:58 2021 +0200

    up abi

commit 157913bd98f1f95eb7eb58b2c73a8e6685f0c8cc
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed Sep 1 23:26:35 2021 +0200

    do not chase during netsplit

commit 240b79aa2677c5f21ec3350123eb573502bea85d
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed Sep 1 22:56:06 2021 +0200

    send channel sync requests "later" in the command queue

commit 0e8717acf6420bf1bd198dc1b51f2a4225668c66
Merge: b7b91ed2 1a6d74ac
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 1 22:51:53 2021 +0200

    Merge pull request #23 from ailin-nemui/ssl-flip
    
    do not unconditionally enable tls on /connect -!

commit 82d2cd88e78b4bffe0c710dd940d1771506eced6
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Wed Sep 1 13:37:37 2021 +0200

    Revert "Irssi does not take a political stance."
    
    This reverts commit a4486c236a3bf15192d0500b3a1892f7465826c7.

commit 1a30e646d9a450b19582bdf306d7aad66730a632
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Wed Sep 1 13:37:17 2021 +0200

    Revert "Applied the updated docs changes in line with the upcoming blog post."
    
    This reverts commit 1773fa8d191c9f1dcc7c1e59dbcdf31c1263c918.

commit 939b773b8bea76dcf4ab33bb53d9899c84c218fb
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Wed Sep 1 13:37:07 2021 +0200

    Revert "Changed the support channel to LiberaChat."
    
    This reverts commit a5d4fd5aa7ad1d57c0b8e11e382944a3654cfa00.

commit 1a6d74ac2645cf4f1c980604894f60dbf29a2d95
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Tue Aug 31 21:54:41 2021 +0200

    fix reading of starttls = "no" in config, attempt 2

commit 6c47fcf10d5a4b7718a3351ea0571da4d9f3c536
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Tue Aug 31 21:49:29 2021 +0200

    Revert "Merge pull request #19 from ailin-nemui/starttls-no"
    
    This reverts commit 3324c5da89c694ce5bbd20ecb313da870d1bb914, reversing
    changes made to d3115f38550f26b935d4e22201d09287ce44e5ac.

commit 21701a1299cd6b64db5b2fb3765f578ff1f9fc6b
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Tue Aug 31 17:29:43 2021 +0200

    do not unconditionally enable tls on /connect -!

commit b7b91ed2bf49668b15d3c2768a0dce26b3cfa851
Merge: 3324c5da 4b506fc4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 31 15:30:48 2021 +0200

    Merge pull request #22 from ailin-nemui/ports
    
    Something with server add

commit 3324c5da89c694ce5bbd20ecb313da870d1bb914
Merge: d3115f38 92ade2f5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 31 15:17:03 2021 +0200

    Merge pull request #19 from ailin-nemui/starttls-no
    
    fix reading of starttls = "no" in config

commit d3115f38550f26b935d4e22201d09287ce44e5ac
Merge: 40018715 215cf088
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 31 15:16:54 2021 +0200

    Merge pull request #18 from ailin-nemui/ssl-verify
    
    fix reading of old config ssl_verify key

commit 215cf08828d14e5e307e0f334e51f7ac41e83329
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Mon Aug 30 19:40:41 2021 +0200

    fuzz server ssl init

commit e10e1c2da73a4af4ffc9acb3dd91b65feb93e6c7
